CKEDITOR.on(
	'dialogDefinition',
	function(event) {
		if (event.editor === ckEditor) {
			var boundingWindow = event.editor.window;

			var dialogDefinition = event.data.definition;

			var dialog = event.data.dialog;

			var onShow = dialogDefinition.onShow;

			dialogDefinition.onShow = function() {

				if (typeof onShow === 'function') {
					onShow.apply(this, arguments);
				}

				centerDialog();
			};

			var centerDialog = function () {
				var dialogSize = dialog.getSize();

				var x = window.innerWidth / 2 - dialogSize.width / 2;
				var y = window.innerHeight / 2 - dialogSize.height / 2;

				dialog.move(x, y, false);
			};

			AUI().use('aui-debounce', function (A) {
				boundingWindow.on(
					'resize',
					A.debounce(function () {
						centerDialog();
					}, 250)
				);
			});

			var clearEventHandler = function() {
				Liferay.detach('resize', boundingWindow);
			};

			Liferay.once('destroyPortlet', clearEventHandler);
		}
	}
);